﻿@page "/calculator"
@using WebCalc.Components.Tab;
@using WebCalc.Components.Calculations.Percentage;
@using WebCalc.Components.Calculations.BodyMassIndex;
@using WebCalc.Components.Calculations.Temperature;
@using WebCalc.Components.Calculations.Salary;
@using WebCalc.Components.Calculations.IncomeTax;
@using WebCalc.Components.Calculations.Interest;
@using WebCalc.Components.Calculations.BusinessValuation;

<h3>Calculator</h3>

<div>
    <TabControl>
        <TabPage Name="Percentage">
            <PercentageControl />
        </TabPage>
        <TabPage Name="BMI">
            <BMIControl />
        </TabPage>
        <TabPage Name="Temperature">
            <TemperatureControl />
        </TabPage>
        <TabPage Name="Salary">
            <SalaryControl />
        </TabPage>
        <TabPage Name="Income Tax">
            <IncomeTaxControl />
        </TabPage>
        <TabPage Name="Interest">
            <InterestControl />
        </TabPage>
        <TabPage Name="Valuation ST">
            <BusinessValuationSTControl />
        </TabPage>
    </TabControl>
</div>

@code {

}